ATH3KFW(8)

NAME
ath3kfw - firmware download utility for Atheros AR3011 chip based Bluetooth USB devices

SYNOPSIS
ath3kfw -d device_name -f firmware_file_name
ath3kfw -h

DESCRIPTION
The ath3kfw utility downloads the specified firmware file to the specified ugen(4) device.

This utility will only work with Atheros AR3011 chip based Bluetooth USB devices. The identification is currently based on USB vendor ID/product ID pair. The vendor ID should be 0x0cf3 (USB_VENDOR_ATHEROS2) and the product ID should be 0x3000.

Firmware files ath3k-1.fw and ath3k-2.fw can be obtained from the linux-firmware RPM.

The options are as follows:

-d device_name
    Specify ugen(4) device name.

-f firmware_file_name
    Specify firmware file name for download.

-h  Display usage message and exit.

EXIT STATUS

SEE ALSO
libusb(3), ugen(4), devd(8)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>

BUGS
Most likely. Please report if found.